com.opensymphony.xwork2

## Class XWorkTestCase

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.opensymphony.xwork2.XWorkTestCase

- All Implemented Interfaces:
    junit.framework.Test

      public abstract class XWorkTestCase
      extends junit.framework.TestCase

  Base JUnit TestCase to extend for XWork specific JUnit tests. Uses the generic test setup for logic.
  Author:
    plightbo

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ActionProxyFactory` | `actionProxyFactory`
    `protected Configuration` | `configuration`
    `protected ConfigurationManager` | `configurationManager`
    `protected Container` | `container`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XWorkTestCase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `loadButAdd(Class<?> type, Object impl)`
    `protected void` | `loadButAdd(Class<?> type, String name, Object impl)`
    `protected void` | `loadConfigurationProviders(ConfigurationProvider... providers)`
    `protected void` | `setUp()`
    `protected void` | `tearDown()`

    - ### Methods inherited from class junit.framework.TestCase

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, countTestCases, createResult, fail, fail, failNotEquals, failNotSame, failSame, format, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### configurationManager

          protected ConfigurationManager configurationManager

    - #### configuration

          protected Configuration configuration

    - #### container

          protected Container container

    - #### actionProxyFactory

          protected ActionProxyFactory actionProxyFactory

  - ### Constructor Detail

    - #### XWorkTestCase

          public XWorkTestCase()

  - ### Method Detail

    - #### setUp

          protected void setUp()
                        throws Exception

      Overrides:
        `setUp` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### tearDown

          protected void tearDown()
                           throws Exception

      Overrides:
        `tearDown` in class `junit.framework.TestCase`
      Throws:
        `Exception`

    - #### loadConfigurationProviders

          protected void loadConfigurationProviders(ConfigurationProvider... providers)

    - #### loadButAdd

          protected void loadButAdd(Class<?> type,
                                    Object impl)

    - #### loadButAdd

          protected void loadButAdd(Class<?> type,
                                    String name,
                                    Object impl)

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.